<template>
  <div class="app-container">
    <el-form style="background-color: #fff; padding: 15px 5px; border-radius:10px;"  :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="88px">
      <p class="bgtan" style="margin-top: 0;">搜索条件</p>
			<el-row>
        <el-col :span="7">
         <el-form-item label="班级名称" prop="classId">
         <el-select style="width: 100%;" v-model="queryParams.classId" placeholder="请选择班级名称">
           <el-option
             v-for="dict in kiuesegh"
             :key="dict.deptId"
             :label="dict.deptName"
             :value="dict.deptId"
           ></el-option>
         </el-select>
         </el-form-item>
        </el-col>
        <el-col :span="7">
        	<el-form-item label="请假人姓名" prop="absenteeName">
        	        <el-input
        	          v-model="queryParams.absenteeName"
        	          placeholder="请输入请假人姓名"
        	          clearable
        	          @keyup.enter.native="handleQuery"
        	        />
        	      </el-form-item>
        </el-col>
        <el-col :span="6">
        	<el-form-item label="请假类别" prop="category">
        	   <el-select style="width: 170px;" v-model="queryParams.category" placeholder="请选择请假类别" clearable>
        	     <el-option
        	       v-for="dict in dict.type.qjlx"
        	       :key="dict.value"
        	       :label="dict.label"
        	       :value="dict.value"
        		   clearable
        		   @keyup.enter.native="handleQuery"
        	     />
        	   </el-select>
        	</el-form-item>
        </el-col>

				<el-col :span="4">
					<el-form-item>
					  <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
					  <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
					</el-form-item>
				</el-col>

				<el-col :span="6">

				</el-col>
				<el-col :span="6">

				</el-col>
				<el-col :span="6">

				</el-col>
				<el-col :span="6">

				</el-col>
				<el-col :span="6">

				</el-col>
			</el-row>


    </el-form>

    <el-row :gutter="10" class="mb8" style=" border-top-left-radius: 12px; border-top-right-radius: 12px; margin: 0;margin-top: 20px;padding: 10px 5px; ">
      <el-col :span="2">
        <p  style="margin-top: 0;">请假信息</p>
      </el-col>
	   <el-col :span="1.5">
	          <el-button
	            type="primary"
	            plain
	            icon="el-icon-plus"
	            size="mini"
	            @click="handleAdd"
              v-hasPermi="['system:leave:add']"
	          >新增</el-button>

	  </el-col>
	        <el-col :span="1.5">
	          <el-button
	            type="success"
	            plain
	            icon="el-icon-edit"
	            size="mini"
	            :disabled="single"
	            @click="handleUpdate"
	            v-hasPermi="['system:leave:edit']"
	          >修改</el-button>
	        </el-col>
	        <el-col :span="1.5">
	          <el-button
	            type="danger"
	            plain
	            icon="el-icon-delete"
	            size="mini"
	            :disabled="multiple"
	            @click="handleDelete"
	            v-hasPermi="['system:leave:remove']"
	          >删除</el-button>
	        </el-col>
	        <el-col :span="1.5">
	          <el-button
	            type="warning"
	            plain
	            icon="el-icon-download"
	            size="mini"
	            @click="handleExport"
	            v-hasPermi="['system:leave:export']"
	          >导出</el-button>
			  </el-col>
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>
    <el-row :gutter="20" v-if="leaveList.length !=0">
      <el-col :span="6" v-for="(item,index) in leaveList" :key="index" style="margin-bottom: 20px;" >
         <div style="background: #FFFFFF;border-radius: 4px;">
           <div style="border-bottom: 1px solid #DADADA;" class="ingweflq">
             <div style="padding-left: 15px;">
               <p>{{item.leaveName ==null? '暂无数据' : item.leaveName}}</p>
               <div class="nghewshi"><dict-tag :options="dict.type.qjlx" :value="item.leaveType"/></div>

               <img @click="handleDelete"  src="../../../assets/images/icon_qjlb_del.png" alt="" style="width: 16px;height: 16px;">
             </div>
              <img v-if="item.examineResult ==1" src="../../../assets/images/pic_xyht_tksj_zt_ty.png" alt="">
               <img v-if="item.examineResult ==2" src="../../../assets/images/pic_xyht_tksj_zt_bty.png" alt="">
           </div>

           <div class="tiaonge">

              <p>
              <span>请假时间：<span class="isap">{{item.leaveName ==null? '暂无数据' : item.leaveName}}</span></span>
              </p>

              <div style="display: flex;align-items: center;">
                <span>时长：</span>
                <span class="isap">{{item.leaveDuration ==null? '暂无数据' : item.leaveDuration}}</span>
                <p style="display: flex;align-items: center;margin-left: 10px;cursor: pointer;" @click="shouxk(item)">
                  <img src="../../../assets/images/icon_qjlb_xxkc.png" alt="" style="width: 13px; height: 16px;">
                  <span style="margin-left: 5px;font-weight: bold;font-size: 14px;color: #4775EA;">详细课程</span>
                </p>
              </div>
              <p>
                <span>时段：</span>
                <span class="isap">{{item.leaveFrame ==null? '暂无数据' : item.leaveFrame}}</span>
              </p>
              <p>
                <span>审核人：</span>
                <span class="isap">{{item.examineName ==null? '暂无数据' : item.examineName}}</span>
              </p>

               <p><span>请假事由：</span>
               <span class="isap">{{item.description ==null? '暂无数据' : item.description}}</span>
               </p>
               <p><span>审核内容：</span>
               <span class="isap">{{item.opinion ==null? '暂无数据' : item.opinion}}</span>
               </p>
               <div style="display: flex;padding-left: 70px;">
                  <div style="width: 86px;height: 86px;border-radius: 5px;overflow: hidden;" v-if="item.askLeaveFjBoList.length ==0">
                    <img src="../../../assets/images/pic_qjlb_tp_normal.png" alt="" style="width: 76px;height: 76px;">
                  </div>
                  <div style="width: 76px;height: 76px;border-radius: 5px;overflow: hidden;" v-if="item.askLeaveFjBoList.length ==0">
                    <img src="../../../assets/images/pic_qjlb_tp_normal.png" alt="" style="width: 76px;height: 76px;">
                  </div>
                  <div style="width: 86px;height: 86px;border-radius: 5px;overflow: hidden;" v-if="item.askLeaveFjBoList.length !=0">
                    <image-preview :src="item.urlse" :width="76" :height="76"/>
                  </div>
                  <div style="width: 76px;height: 76px;border-radius: 5px;overflow: hidden;" v-if="item.askLeaveFjBoList.length !=0">
                    <image-preview :src="item.urlse" :width="76" :height="76"/>
                  </div>

               </div>

           </div>
           <div class="tonwbb">
            <p v-if="item.examineResult ==0" style="color: #5F8BF4;"    @click="getPass(item.id)"  v-hasPermi="['ask:leave:sh']">同意</p>
            <p v-if="item.examineResult ==0" style="color: #FF6969;" @click="infoBtn(item.id)"   v-hasPermi="['ask:leave:sh']">不同意</p>
            <p v-if="item.examineResult !=0" style="color: #666666;" @click="infoBtn(item.id)"   v-hasPermi="['ask:leave:sh']">已审批</p>
           <!-- <p style="color: #00B034;"  @click="handleUpdate(item)"v-hasPermi="['course:change:edit']" v-if="item.isPass == 1">修改</p>
            <p style="color: #FF6969;" @click="handleDelete(item)" v-hasPermi="['course:change:remove']">删除</p> -->
           </div>
         </div>
      </el-col>
    </el-row>
    <div v-if="leaveList.length ==0" style="text-align: center;margin: 40px 0;">
       <img src="../../../assets/images/pic_xyht_zwsj.png" alt="">
    </div>
     <!-- <div class="ngtes" style="background-color: #fff; padding: 0 10px;  padding-bottom: 40px; border-bottom-left-radius: 12px; border-bottom-right-radius: 12px;">
		<el-table  :max-height="tableMaxHeight"  v-loading="loading" :data="leaveList" @selection-change="handleSelectionChange">
		  <el-table-column type="selection" width="55" align="center" />
			<el-table-column label="姓名" align="center" prop="absenteeName" width="100" />
			 <el-table-column label="请假开始时间" align="center" prop="startTime" width="180">
			        <template slot-scope="scope">
			          <span>{{ scope.row.startTime}}</span>
			        </template>
			      </el-table-column>
			 <el-table-column label="请假结束时间" align="center" prop="endTime" width="180">
			        <template slot-scope="scope">
			          <span>{{ scope.row.endTime}}</span>
			        </template>
			      </el-table-column>
				  <el-table-column label="提交时间" align="center" prop="submitTime" width="180">
				         <template slot-scope="scope">
				           <span>{{ scope.row.submitTime}}</span>
				         </template>
				       </el-table-column>
			 <el-table-column label="请假理由" align="center" prop="reason" />
			</el-table-column>
				 <el-table-column label="请假类别" align="center" prop="category">
				        <template slot-scope="scope">
				          <dict-tag :options="dict.type.qjlx" :value="scope.row.category"/>
				        </template>
				</el-table-column>
		  <el-table-column  label="操作" align="center" class-name="small-padding fixed-width" width="160">
		    <template slot-scope="scope">
		      <el-button
		        size="mini"
		        type="text"
		        style="background: #00B034;color: #FFF;padding: 7px;"
		        @click="handleUpdate(scope.row)"
		        v-hasPermi="['student:info:edit']"
		      >修改</el-button>
		      <el-button
		        size="mini"
		        type="text"
		        style="background: red;color: #FFF;padding: 7px;"
		        @click="handleDelete(scope.row)"
		        v-hasPermi="['student:info:remove']"
		      >删除</el-button>


		    </template>
		  </el-table-column>
		</el-table>

		<pagination
		  v-show="total>0"
		  :total="total"
		  :page.sync="queryParams.pageNum"
		  :limit.sync="queryParams.pageSize"
		  @pagination="getList"
		/>
	 </div> -->


    <!-- 添加或修改注册-老师-班级（学科）对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="1300px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="80px">
        <!-- <el-form-item label="老师id" prop="teacherId">
          <el-input v-model="form.teacherId" placeholder="请输入老师id" />
        </el-form-item> -->
        <el-row>
          <el-col :span="12">
            <el-row>
            	<!-- <el-col :span="24"> -->
            		 <!-- <el-form-item label="学校名称" prop="schoolId">
            		  					  <el-select :disabled="fku"  style="width: 100%;"   v-model="form.schoolId" placeholder="请选择学校名称">
            		  					    <el-option
            		  					      v-for="dict in deptOptions"
            		  					      :key="dict.deptId"
            		  					      :label="dict.deptName"
            		  					      :value="dict.deptId"
            		  						  @click.native="mjyhes(dict)"
            		  					    ></el-option>
            		  					  </el-select>
            		  </el-form-item> -->
            	<!-- </el-col> -->
            	<el-col :span="24">
            		  <el-form-item label="班级名称" prop="classId">
            		  <el-select style="width: 100%;" v-model="form.classId" placeholder="请选择班级名称">
            		    <el-option
            		      v-for="dict in kiuesegh"
            		      :key="dict.deptId"
            		      :label="dict.deptName"
            		      :value="dict.deptId"
            		  	@click.native="mjyhess(dict)"
            		    ></el-option>
            		  </el-select>
            		  </el-form-item>
            	</el-col>

            	<el-col :span="24">
            		<el-form-item label="姓名" prop="leaveName">
            			<el-select style="width: 100%;" filterable v-model="form.leaveName" placeholder="请选择学生名称">
            			  <el-option
            			    v-for="dict in infoListstu"
            			    :key="dict.id"
            			    :label="dict.studentName"
            			    :value="dict.studentName"
            			  ></el-option>
            			</el-select>
            		</el-form-item>
            	</el-col>
            	<!-- <el-col :span="8">
            		<el-form-item label="开始时间" prop="startTime">
            		          <el-date-picker style="width:100%;" clearable
            		            v-model="form.startTime"
            		            type="datetime"
            		            value-format="yyyy-MM-dd HH:mm:ss "
            		            placeholder="请选择请假开始时间">
            		          </el-date-picker>
            		        </el-form-item>
            	</el-col>
            	<el-col :span="8">
            		<el-form-item label="结束时间" prop="endTime">
            		          <el-date-picker style="width:100%;" clearable
            		            v-model="form.endTime"
            		            type="datetime"
            		            value-format="yyyy-MM-dd HH:mm:ss"
            		            placeholder="请选择请假结束时间">
            		          </el-date-picker>
            		        </el-form-item>
            	</el-col> -->
              <el-col :span="24">
              	<el-form-item label="请假类别" prop="category">
              	   <el-select style="width:100%;" v-model="form.category" placeholder="请选择请假类别" clearable>
              	     <el-option
              	       v-for="dict in dict.type.qjlx"
              	       :key="dict.value"
              	       :label="dict.label"
              	       :value="dict.value"
              	     />
              	   </el-select>
              	</el-form-item>
              </el-col>
              <el-col :span="24">
              	<el-form-item label="审核人" prop="examineId">
              	   <el-select style="width:100%;" filterable v-model="form.examineId" placeholder="请选择审核人" clearable>
              	     <el-option
              	       v-for="dict in infeoteach"
              	       :key="dict.teacherId"
              	       :label="dict.teacherName"
              	       :value="dict.teacherId"
                       @click.native="mjyhesstu(dict)"
              	     />
              	   </el-select>
              	</el-form-item>
              </el-col>
            	<el-col :span="24">
            		<el-form-item label="请假理由" prop="reason">
            		          <el-input v-model="form.reason" type="textarea" placeholder="请输入请假理由" />
            		</el-form-item>
            	</el-col>
              <el-col :span="24">
              	<el-form-item label="" prop="reason">
              	    <image-uploadslis v-model="form.degreePhoto"/>
              	</el-form-item>
              </el-col>


            </el-row>
          </el-col>
          <el-col :span="12">
             <div class="date" style="position: relative;">
               <!-- <p @click="weekNext">下一周</p>
               <p @click="weekPre ">上一周</p> -->
                   <!-- 年份 月份 -->
                   <div class="nlsed" style="padding-left: 55px;">
                     <div style="font-weight: bold;font-size: 14px;color: #161616;">选择时段</div>
                     <div class="month">
                       <!-- <p>{{ currentYear }}年{{ currentMonth }}月</p> -->
                       <p @click="weekPre"><</p>
                       <p>{{tijeti}}</p>
                       <p @click="weekNext">></p>
                     </div>
                   </div>
                   <!-- 星期 -->
                   <ul class="weekdays">
                     <li>周一</li>
                     <li>周二</li>
                     <li>周三</li>
                     <li>周四</li>
                     <li>周五</li>
                     <li>周六</li>
                     <li>周日</li>
                   </ul>
                   <!-- 日期 -->
                   <ul class="days">
                     <!-- @click="pick(day)" -->
                     <li  v-for="(day, index) in days" :key="index">
                       <!--本月-->
                       <span v-if="day.time.getMonth()+1 != currentMonth" class="other-month">{{ currentMonth+1 +'月' + day.time.getDate() +'日' }}</span>
                       <span v-else>
                       <!--今天-->
                       <span v-if="day.time.getFullYear() == new Date().getFullYear() && day.time.getMonth() == new Date().getMonth() && day.time.getDate() == new Date().getDate()" class="active">{{ currentMonth +'月' +day.time.getDate() +'日' }}</span>
                       <span v-else>{{ currentMonth +'月' +day.time.getDate()+'日' }}</span>
                       </span>
                       <div >
                         <div style="text-align: center;display: flex;flex-direction: column;align-items: center;margin-top: 20px;" >
                           <p style="background: #EEEEEE;border-radius: 20px;width: 68px;height: 67px;line-height: 67px;" v-if="day.ishoet == false " @click="pick(day,index,'上午')">上午</p>
                          <p style="background: #EEEEEE;border-radius: 20px;width: 68px;height: 67px;line-height: 67px;display: flex;flex-direction: column;overflow: hidden;border: 1px solid #00A9F0;" v-if="day.ishoet == true " @click="pick(day,index,'上午')">
                             <span style="height: 41px; line-height: 41px; background: #00A9F0;font-weight: bold;font-size: 16px;color: #FFFFFF;">上午</span>
                             <span style="height: 26px; line-height: 26px; background: #E2EAFF;font-weight: 500;font-size: 14px;color: #00A9F0;" @click.stop="isjegnse">2节课 ></span>
                             </p>
                         </div>
                       <div style="text-align: center;display: flex;flex-direction: column;align-items: center;margin-top: -10px;" >
                        <p style="background: #EEEEEE;border-radius: 20px;width: 68px;height: 67px;line-height: 67px;" @click="pick(day,index,'下午')" v-if="day.isxiaw == false">下午</p>
                        <!-- <p style="background: #EEEEEE;border-radius: 20px;width: 68px;height: 67px;line-height: 67px;"  v-if="isxia && (isxianum != index)" @click="pickxia(day,index,'下午')">下午</p> -->
                         <p style="background: #EEEEEE;border-radius: 20px;width: 68px;height: 67px;line-height: 67px;display: flex;flex-direction: column;overflow: hidden;border: 1px solid #00A9F0;" v-if="day.isxiaw == true" @click="pick(day,index,'下午')">
                           <span style="height: 41px; line-height: 41px; background: #00A9F0;font-weight: bold;font-size: 16px;color: #FFFFFF;">下午</span>
                           <span style="height: 26px; line-height: 26px; background: #E2EAFF;font-weight: 500;font-size: 14px;color: #00A9F0;" @click.stop="ignew">2节课 ></span>
                           </p>
                       </div>
                       </div>
                     </li>
                   </ul>
                   <div style="height: 2px;background-color: #00A9F0;margin-left: 55px;width: 90%; position: absolute;top:120px;left: 0;"></div>
                   <div style="padding-left: 50px;">
                     <p style="font-weight: 500;font-size: 16px;color: #161616;">时长
                     <span style="font-weight: 500;font-size: 16px;color: #666666;">共11课时（约1.4天）</span></p>
                   </div>
               </div>
          </el-col>
        </el-row>


      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>

    <el-dialog title="选择课时" :visible.sync="openk" width="500px" append-to-body :close-on-click-modal="false" :close-on-press-escape="false" :show-close="false">
        <div style="text-align: center; display: flex;flex-direction: column;align-items: center;">
          <p :class=" item.ishso == true?'iscac kesie' : 'kesie' " @click="iskesh(index)" v-for="(item,index) in isliset" :key="index">第三节课   政治</p>
        </div>
       <div slot="footer" class="dialog-footer">
         <el-button type="primary" @click="submitForm">确 定</el-button>
         <el-button @click="cancelke">取 消</el-button>
       </div>
    </el-dialog>
    <el-dialog class="ignw" title="请假课时详情" :visible.sync="openx" width="500px" append-to-body  >
        <div>
          <div v-for="(item,index) in qingjitim" :key="index">
            <div class="nbhslxianke">
              <span></span>
              <p>{{item.courseDate}}</p>
            </div>
            <div class="xiagsw">
              <div >
                <p  v-if="item.sha.length !=0">
                  上午 |
                  <span v-for="(items,indexs) in item.sha" :key="indexs + 'a'">{{items.courseName}};</span>
                </p>
                <p  v-if="item.xi.length !=0">
                  下午 |
                  <span v-for="(itemss,indexss) in item.xi" :key="indexss + 'b'">{{itemss.courseName}};</span>
                </p>
                <p  v-if="item.wan.length !=0">
                  下午 |
                  <span v-for="(itemsss,indexsss) in item.wan" :key="indexsss + 'c'">{{itemsss.courseName}};</span>
                </p>
              </div>
            </div>
          </div>
        </div>
    </el-dialog>

  </div>
</template>

<script>
import PieCharts from './../../dashboard/PieCharts'
import PieChartss from './../../dashboard/PieChartss'
import { listLeave, getLeave, delLeave, addLeave, updateLeave,sh } from "@/api/zhihuixy/record";
import { listInfostutwo,} from "@/api/zhihuixy/teacherdan";
import { listInfo, listInfostu,getInfo, delInfo, delInfoxinl,delInfoshengao,addInfo, updateInfo,updateInfoxl,updateInfoshg,listInfols,listInfolsxinl,listInfolss } from "@/api/zhihuixy/infos";
import { listDept,listDeptode} from "@/api/system/dept";
import {regionData,CodeToText} from 'element-china-area-data'
const lineChartData = {
  newVisitis: {
    expectedData: [100, 120, 161, 134, 105, 160, 165],
    actualData: [120, 82, 91, 154, 162, 140, 145]
  },
  messages: {
    expectedData: [200, 192, 120, 144, 160, 130, 140],
    actualData: [180, 160, 151, 106, 145, 150, 130]
  },
  purchases: {
    expectedData: [80, 100, 121, 104, 105, 90, 100],
    actualData: [120, 90, 100, 138, 142, 130, 130]
  },
  shoppings: {
    expectedData: [130, 140, 141, 142, 145, 150, 160],
    actualData: [120, 82, 91, 154, 162, 140, 130]
  }
}
export default {
  name: "Info",
  dicts: ['qjlx'],
  components: {
    PieCharts,
	PieChartss
  },
  data() {
    return {

		// 遮罩层
		      loading: true,
		      // 选中数组
		      ids: [],
          tijeti:'本周',
		      // 非单个禁用
		      single: true,
		      // 非多个禁用
		      multiple: true,
		      // 显示搜索条件
		      showSearch: true,
		      // 总条数
		      total: 0,
		      // 请假记录信息表格数据
		      leaveList: [],
		      // 弹出层标题
		      title: "",
		      // 是否显示弹出层
		      open: false,
		      // 查询参数
		      queryParams: {
		        pageNum: 1,
		        pageSize: 10,
		        type: null,
		        startTime: null,
		        endTime: null,
		        reason: null,
		        classId: null,
		        className: null,
		        absenteeId: null,
		        absenteeName: null,
		        examinersId: null,
		        examinersName: null,
		        category: null,
		        isPass: null,
		        photo: null,
		        submitTime: null,
				params:{}
		      },
		      // 表单参数
		      form: {},
		      // 表单校验
		      rules: {
				  reason: [
				            { required: true, message: "请假理由不能为空", trigger: "blur" }
				          ],
				          absenteeName: [
				            { required: true, message: "请假人id不能为空", trigger: "blur" }
				          ],
				          category: [
				            { required: true, message: "请假类别 1：病假，2：产假，3：陪产假，4：婚假，5：丧假，6：其他不能为空", trigger: "blur" }
				          ],
		      },
	  kiuesegh:[],
	   kiueseghs:[],
	   options: regionData,
	     selectedOptions: [],
	     addtions:{},			//存储地址数据
	     namestwo:[],
	      keyword: '',
	   mapZoom: 15,
	   mapCenter: '潜山市',
	   mapLocation: {
	     address: undefined,
	     coordinate: undefined
	   },
	   okuyt:true,
	   nameadd:[],
	   kdourg:[{'value':'抱歉，没有搜索到位置请重新输入'}],
	   location:'',
	   pageCapacitys:20,
	   cb:undefined,
	   nameadd:[],
	   listInfostucs:{
		   params:{}
	   },
	   infoListstu:[],
     infeoteach:[],
	   deptOptions:[],
	   uhgte:false,
	   lishilist:[],
	   beach:{},
	   hgdtesge:{},
	   ngshg:false,
	   ngtzh:false,
     currentYear: 1970,   // 年份
     currentMonth: 1,  // 月份
     currentDay: 1,    // 日期
     currentWeek: 1,    // 星期
     days: [],
     issha:false,
     isxia:false,
     isshnum:20,
     isxianum:0,
     openk:false,
     openx:false,
     isehse:1,
     isliset:[{title:'第一节课  语文', ishso:false},{title:'第一节课  语文', ishso:false},{title:'第一节课  语文', ishso:false}],
     qingjitim:[]
    };
  },
  created() {
		window.onresize = () => {
		          this.changeTableMaxHeight()
		        }
		        this.changeTableMaxHeight()
    this.getList();
	this.getdept(0)
  this.initData(null)
  },
	mounted() {
		 window.onresize = () => {
		           this.changeTableMaxHeight()
		         }
		         this.changeTableMaxHeight()
	},
  methods: {

	  // 查询历史档案信息
       getlihgw(val){
		 this.loading = true;
		 let he={}
		 he.studentId = val
		 // this.listInfostucs.classId = val
		 // this.ngshg = false,
		 // this.ngtzh = true,
		 listInfols(he).then(response => {
		   this.lishilist = response.rows;
		   this.loading = false;
		 });
	   },
		   getlihgws(val){
		   		 this.loading = true;
		   		 let he={}
		   		 he.studentId = val
		   		 // this.listInfostucs.classId = val
		   		 listInfolss(he).then(response => {
		   		   this.beach = response.data;
				   // this.hgdtesge.x = this.beach[0]
				   // this.hgdtesge.y = this.beach[0]
				   // this.hgdtesge.x = this.beach[0]
		   		   this.loading = false;
		   		 });
		   },

	  /** 查询学生档案信息列表 */
	  getListuye(val) {
	    this.loading = true;
		this.listInfostucs.classId = val
		this.listInfostucs.params.role=this.roleqh()
	    listInfostu(this.listInfostucs).then(response => {
	      this.infoListstu = response.rows;
	      this.loading = false;
	    });
	  },
    getliseteah(val){
      let nhgew={'classId':val}
      listInfostutwo(this.listInfostucs).then(response => {
        this.infeoteach = response.rows;
        this.loading = false;
      });

    },
	  getdept(val){
	  		  let kuesf=  {'parentId':val}
	  		  // this.kiuesegh = []
	  			  console.log(kuesf)
	  		listDeptode(kuesf).then(response => {
	  		  this.deptOptions = this.handleTree(response.data, "deptId");
	  		  this.deptOptions.filter(rou =>{
	  			  if(rou.children != undefined){
	  			  	rou.children.filter(rour =>{
	  			  					  this.kiuesegh.push(rour)
	  			  	})
	  			  }
	  			  // this.kiuesegh = rou.children
	  			  // this.kiuesegh.push(rou.children)
	  			  console.log(rou.children)
	  		  })
	  		  this.kiueseghs = this.kiuesegh
	  		  // this.deptOptions = response.data
	  		  console.log(this.kiuesegh)
	  		});
	  },

    /** 查询学生档案信息列表 */
    getList() {
      this.loading = true;
	  console.log(this.$store.state.user.rolesName)
	  this.queryParams.params.role=this.roleqh()
            listLeave(this.queryParams).then(response => {
              response.rows.filter(rou=>{
                if(rou.askLeaveFjBoList.length !=0){
                  let roge=[]
                  rou.askLeaveFjBoList.filter(rout=>{
                    roge.push(rout.url)
                  })
                  roge = roge.join(',')
                  rou.urlse = roge
                }
              })
              this.leaveList = response.rows;
             console.log(this.leaveList)
              this.total = response.total;
              this.loading = false;
            });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
                type: null,
                startTime: null,
                endTime: null,
                reason: null,
                classId: null,
                className: null,
                absenteeId: null,
                absenteeName: null,
                examinersId: null,
                examinersName: null,
                category: null,
                isPass: null,
                photo: null,
                submitTime: null,
                createBy: null,
                createTime: null,
                updateBy: null,
                updateTime: null,
                remark: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
       this.ids = selection.map(item => item.recordId)
       this.single = selection.length!==1
       this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
       this.reset();
       this.open = true;
       this.title = "添加请假记录信息";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
     this.reset();
           const id = row.recordId || this.ids
           getLeave(id).then(response => {
             this.form = response.data;
			 this.form.classId = this.form.classId - 0
             this.open = true;
             this.title = "修改请假记录信息";
           });
    },
	// 身份证
	idcde(event) {
		console.log(event);
		// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
		let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
	  let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
	  // 护照
	   // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
	   let ncjsle = /^[a-zA-Z0-9]{5,17}$/
	   let nhyeli = /^[a-zA-Z]{5,17}$/
	  // 港澳
	  let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
	  // 台湾
	  // let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
	  var tw =  /^[0-9]{8}$/;
	   var twe = /^[0-9]{10}$/;
	  // 校验身份证：
	  console.log(reg.test(this.form.idCard),23741)
		if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
			// this.idea();
			this.go(this.form.idCard);
			// callback()
		} else {
	    if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
	       console.log(3)
	    }else{
	      if(gnse.test(this.form.idCard)  ){
	          console.log(4)
	      }else{
	        if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
	          console.log(5)
	        }else{
	          this.$message.error('证件格式不正确');
	        }
	      }

	    }
		}
	},
	// 实现自动生成生日，性别，年龄
	go(idCard) {
		 let sex = null;
		        let birth = null;
		        let myDate = new Date();
		        let month = myDate.getMonth() + 1;
		        let day = myDate.getDate();
		        let age = 0;

		        if (idCard.length === 18) {
		          age = myDate.getFullYear() - idCard.substring(6, 10) - 1;
		          sex = idCard.substring(16, 17);
		          birth = idCard.substring(6, 10) + "-" + idCard.substring(10, 12) + "-" + idCard.substring(12, 14);
		          if (idCard.substring(10, 12) < month || idCard.substring(10, 12) === month && idCard.substring(12, 14) <= day)
		            age++;

		        }
		        if (idCard.length === 15) {
		          age = myDate.getFullYear() - idCard.substring(6, 8) - 1901;
		          sex = idCard.substring(13, 14);
		          birth = "19" + idCard.substring(6, 8) + "-" + idCard.substring(8, 10) + "-" + idCard.substring(10, 12);
		          if (idCard.substring(8, 10) < month || idCard.substring(8, 10) === month && idCard.substring(10, 12) <= day)
		            age++;
		        }

		        if (sex % 2 === 0) sex = '2';
		        else sex = '1';
				this.form.sex = sex
				this.form.age = age
		        return {
		          age,
		          sex,
		          birth
		        }
	},
	// 请求身份证数据
	// idea() {
	// 	idces({ idCard: this.form.idCard }).then(response => {
	// 		console.log(response);

	// 	});
	// },

	// 历史数据
	getPass(val){
    let bnhde={'id':val,'examineResult':1}
		sh(bnhde).then(response => {
		  this.$modal.msgSuccess("修改成功");
		  this.open = false;
		  this.getList();
		});
	},
  infoBtn(row) {
    const _this = this
      this.$prompt("请输入驳回意见", "提醒", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        inputValidator: (value) => {
                  if(!value) {
                    return '驳回意见不能为空！';
                  }
                 }
      })
        .then(function({ value }) {
            return sh({
              id: row,
              examineResult: 2,
            });

        })
        .then(({ value }) => {
          _this.msgSuccess("驳回成功");
          _this.getList();
        });
  },
    /** 提交按钮 */
    submitForm() {
		this.$refs["form"].validate(valid => {
		        if (valid) {
		          if (this.form.recordId != null) {
		            updateLeave(this.form).then(response => {
		              this.$modal.msgSuccess("修改成功");
		              this.open = false;
		              this.getList();
		            });
		          } else {
		            addLeave(this.form).then(response => {
		              this.$modal.msgSuccess("新增成功");
		              this.open = false;
		              this.getList();
		            });
		          }
		        }
		      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.recordId || this.ids;
	  delLeave(ids).then(response => {
	   this.getList();
	   this.$modal.msgSuccess("删除成功");
	  });
            // this.$modal.confirm('是否确认删除请假记录信息编号为"' + ids + '"的数据项？').then(function() {
            //   return delLeave(ids);
            // }).then(() => {
            //   this.getList();
            //   this.$modal.msgSuccess("删除成功");
            // }).catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('record/leave/export', {
              ...this.queryParams
            }, `leave_${new Date().getTime()}.xlsx`)
    },
	handleChange (value) {
	        console.log(3976);
	      //我们选择地址后，selectedOptions 会保存对应的区域码，例如北京的区域码为'110000'
	      //我们要取出区域码对应的汉字，就需要用CodeToText(区域码)进行输出
	        this.addtions.selectedOptions = value
	        console.log(this.selectedOptions);
	        var name = ''
	        this.selectedOptions.map(item => name += CodeToText[item] + '/')
	        this.addtions.names = name
	        this.namestwo = this.addtions.names.split('/')
	        // for (let index = 0; index < this.namestwo.length; index++) {
	        //   const element = this.namestwo[index];
	        //   this.form.provinceName.value = this.namestwo[0]
	        //    this.form.cityName.value = this.namestwo[1]
	        //    this.form.regionName.value = this.namestwo[2]
	        //    console.log(this.form);

	        // }
	        this.form.area = this.addtions.names.split('/')
	        this.form.areaCode = this.addtions.selectedOptions
	        console.log(this.form.area);
	        for(var i = 0 ; i < this.form.area.length; i++){
	          this.mapCenter =  this.form.area[1]
	          this.location = this.form.area[1]
	        }
	        console.log(this.mapCenter);
	        console.log(this.location);


	         console.log(this.form.areaCode);
	        console.log(this.addtions.names.split('/'))

	        console.log(this.addtions.selectedOptions)
	      },
	      // 、、地图
	      getLocationPoint(e){
	       console.log(e);

	      },
	      searchcomplete(e){
	        console.log(e);

	      },
	      handlerBMap({ BMap, map }) {
	      this.BMap = BMap
	      this.map = map
	      console.log(BMap,map);
	      console.log(this.mapLocatio);

	      // if (this.mapLocation.coordinate && this.mapLocation.coordinate.lng) {
	      //   // this.mapCenter.lng = this.mapLocation.coordinate.lng
	      //   // this.mapCenter.lat = this.mapLocation.coordinate.lat
	      //   this.mapZoom = 15
	      //   map.addOverlay(new this.BMap.Marker(this.mapLocation.coordinate))
	      // } else {
	      //   // this.mapCenter.lng = 113.271429
	      //   // this.mapCenter.lat = 23.135336
	      //   this.mapZoom = 10
	      // }
	    },
	    querySearch(queryString,cb) {
	      // console.log(e);
	      // this.keyword = e
	      // results, cb
	      // var that = this
	      // var myGeo = new this.BMap.Geocoder()
	      // console.log(queryString, cb);

	      // myGeo.getPoint(queryString, function(point) {
	      //   console.log(point);
	      //   // var point = '安庆市'

	      //   if (point) {
	      //     that.mapLocation.coordinate = point
	      //     that.makerCenter(point)
	      //   } else {
	      //     that.mapLocation.coordinate = null
	      //   }
	      // }, this.locationCity)
	      // console.log(this.locationCity);

	      // var options = {
	      //   onSearchComplete: function(results) {
	      //     console.log(local.getStatus());

	      //     if (local.getStatus() === 0) {
	      //       // 判断状态是否正确
	      //       var s = []
	      //       console.log(results.getCurrentNumPois());

	      //       for (var i = 0; i < results.getCurrentNumPois(); i++) {
	      //         var x = results.getPoi(i)
	      //         console.log(x);

	      //         var item = { value: x.address + x.title, point: x.point }
	      //         s.push(item)
	      //         // console.log(s);

	      //         cb(s)
	      //       }
	      //       // console.log(s);

	      //     } else {
	      //       cb()
	      //     }
	      //   }
	      // // this.oieueo(results)
	      console.log(queryString);
	      var item = []
	      var x = ''
	      //  this.nameadd = queryString.Ir
	      // queryString.value = ''
	       for(var i = 0 ; i <  this.nameadd.length; i++){
	         console.log(queryString[i]);
	        // var item = { value: this.nameadd[i].address + this.nameadd[i].title, point: this.nameadd[i].point }
	        // if(queryString[i].address == undefined){
	        //     queryString[i].address = ''
	        // }
	        //  x= this.nameadd[i].address + this.nameadd[i].title
	        // item.push(x)
	       this.nameadd[i].value = this.nameadd[i].address + this.nameadd[i].title
	       console.log(this.nameadd[i].value);

	      //  this.nameadd.push( item)
	         }
	        //  this.nameadd = item
	         console.log(this.nameadd);
	        //  this.cb = cb
	      cb(this.nameadd)
	      if(this.nameadd.length != 0){
	        // console.log(local.getStatus());

	      }else{
	        cb(this.kdourg)
	      }

	      console.log(this.nameadd);

	      // }
	      // console.log(options );
	    // var local = new this.BMap.LocalSearch('安庆市', options)

	    // console.log(queryString );
	      // local.search(queryString)
	    },
	    handleSelect(item) {
	      var { point } = item
	      this.mapLocation.coordinate = point
	      console.log(this.mapLocation.coordinate);

	      // this.makerCenter(point)
	    },
	    makerCenter(point) {
	      console.log(point);

	      if (this.map) {
	        this.map.clearOverlays()
	        this.map.addOverlay(new this.BMap.Marker(point))
	        // this.mapCenter.lng = point.lng
	        // this.mapCenter.lat = point.lat
	        // this.mapCenter = '安庆市'
	        this.mapZoom = 15
	      }
	    },
	    oieueo(results,cb){
	    //  console.log(results,cb);
	   console.log(results);
	   console.log(this.form.address);


	    // if(this.form.address == ''){
	    //   this.nameadd = []
	    // }else{
	    //  this.nameadd = results.Ir
	    // }
	    //  console.log(type.Ir.value);
	     console.log(this.nameadd);
	    //  var cb= cb
	     this.querySearch(this.nameadd,this.cb)
	    //  results,cb

	    //  this.nameadd.
	    //  var local = new this.BMap.LocalSearch(this.map, options)
	    //   local.search(queryString)

	    },
	    //选中数据
	    confirmf(e){
	      console.log(143);
	      console.log(e);
	      this.nameadd = e

	    },
	    boiu(){
	      // this.okuyt = false
	    },
	    //获取焦点
	    faie(){
	// this.okuyt = true
	    },
		// 学校选择器
		mjyhes(){

		},
		// 班级选择器
		mjyhess(val){
			this.getListuye(val.deptId)
      this.getliseteah(val.deptId)
		},

		// 学生姓名选择器
		mjyhesstu(val){
			this.form.examineId = val.teacherName
      this.form.examineName = val.teacherId
		},
		hetdt(val){
			this.drawer = true
			this.ngshg = false,
			this.ngtzh = true,
			this.getlihgw(val.id)
			this.getlihgws(val.id)
		},
		hetdtw(val){
			this.drawer = true
			this.ngshg = true,
			this.ngtzh = false,
			this.getlihgw(val.id)
			this.getlihgws(val.id)
		},
		// 获取屏幕高度
		showFilterForm () {
		      this.filterActive = !this.filterActive
		      this.changeTableMaxHeight()
		    },

		    changeTableMaxHeight () {
		      let height = document.body.offsetHeight // 网页可视区域高度
		      // if (this.filterActive) {
		      //   this.tableMaxHeight = height - 320
		      // } else {
		        this.tableMaxHeight = height - 250
		      // }
		      console.log(height)
		    },
			ngekusfd(){
				if(this.form.isNearsightedness == '1'){
					this.uhgte = true
				}else{
					this.uhgte = false
				}
			},
   formatDate (year, month, day) {
           const y = year
           let m = month
           if (m < 10) m = `0${m}`
           let d = day
           if (d < 10) d = `0${d}`
           return `${y}-${m}-${d}`
         },

         initData (cur) {
           let date = ''
           if (cur) {
             date = new Date(cur)
           } else {
             date = new Date()
           }
           this.currentDay = date.getDate()          // 今日日期 几号
           this.currentYear = date.getFullYear()       // 当前年份
           this.currentMonth = date.getMonth() + 1    // 当前月份
           this.currentWeek = date.getDay() // 1...6,0   // 星期几
           if (this.currentWeek === 0) {
             this.currentWeek = 7
           }
           const str = this.formatDate(this.currentYear, this.currentMonth, this.currentDay)// 今日日期 年-月-日
           this.days.length = 0
           // 今天是周日，放在第一行第7个位置，前面6个 这里默认显示一周，如果需要显示一个月，则第二个循环为 i<= 35- this.currentWeek
           /* eslint-disabled */
           for (let i = this.currentWeek - 1; i >= 0; i -= 1) {
             const d = new Date(str)
             d.setDate(d.getDate() - i)
               // console.log(y:" + d.getDate())
               let nbj={'time':d,'ishoet':false,'isxiaw':false}
             this.days.push(nbj)
           }
           for (let i = 1; i <= 7 - this.currentWeek; i += 1) {
             const d = new Date(str)
             d.setDate(d.getDate() + i)
             let nbj={'time':d,'ishoet':false,'isxiaw':false}
             this.days.push(nbj)
           }
         },

         //  上个星期
         weekPre () {
           this.tijeti="上周"
           const d = this.days[0].time    // 如果当期日期是7号或者小于7号
           d.setDate(d.getDate() - 7)
           this.initData(d)
         },

         //  下个星期
         weekNext () {
           this.tijeti="下周"
           const d = this.days[6].time    // 如果当期日期是7号或者小于7号
           d.setDate(d.getDate() + 7)
           this.initData(d)
         },

         // 上一個月   传入当前年份和月份
         pickPre (year, month) {
           const d = new Date(this.formatDate(year, month, 1))
           d.setDate(0)
           this.initData(this.formatDate(d.getFullYear(), d.getMonth() + 1, 1))
         },


         // 下一個月   传入当前年份和月份
         pickNext (year, month) {
           const d = new Date(this.formatDate(year, month, 1))
           d.setDate(35)
           this.initData(this.formatDate(d.getFullYear(), d.getMonth() + 1, 1))
         },

         // 当前选择日期
         pick (date,index,item) {
           console.log(date,index,item)
           if(item == '上午'){
             this.days[index].ishoet = !this.days[index].ishoet
             this.issha = !this.issha
             this.isshnum = index
           }else{
             this.days[index].isxiaw = !this.days[index].isxiaw
             this.isxia = !this.isxia
              this.isxianum = index
           }
           // alert(this.formatDate(date.getFullYear(), date.getMonth() + 1, date.getDate()),item)
         },

         pickshan(date,index,item){
           this.issha = true
           this.isshnum = index
           // alert(this.formatDate(date.getFullYear(), date.getMonth() + 1, date.getDate()),item)
         },
         pickshanb(date,index,item){
          this.issha = false
          this.isshnum = index
         },
         pickxia(date,index,item){
          this.isxia = true
          this.isxianum = index
         },
         pickxiab(date,index,item){
           this.isxia = false
           this.isxianum = index
         },
         // 课时
         iskesh(index){
           this.isliset[index].ishso = !this.isliset[index].ishso
           // console.log(this.isliset,this.isliset[index],index)
           this.isehse = index
         },
         isjegnse(){
           this.open = false
           this.openk = true
         },
         ignew(){
          this.open = false
          this.openk = true
         },
         cancelke(){
            this.openk = false
            this.open = true
         },
         // 查看请假详情课时
         shouxk(val){
           this.openx = true
           if(val.askLeaveCourseBoList.length !=0){
             var listArr = [];
             	val.askLeaveCourseBoList.forEach(function(el,index){
             		for(var i=0;i<listArr.length;i++){
             			// 对比相同的字段key，相同放入对应的数组
             			if(listArr[i].courseDate == el.courseDate){
             				listArr[i].listInfo.push(el);
             				return;
             			}
             		}
             		// 第一次对比没有参照，放入参照
             		listArr.push({
             			courseDate: el.courseDate,
             			listInfo: [{
				        courseName: el.courseName,
				        timeFrame: el.timeFrame,
				       classNumber: el.classNumber,
               week: el.week,
			          }]
             		});
             	});

             this.qingjitim = listArr
             for(var i=0;i<this.qingjitim.length;i++){
               if(this.qingjitim[i].listInfo.length !=0){
                 let sha=[]
                 let xi=[]
                 let wan=[]
                 this.qingjitim[i].listInfo.filter(rou=>{
                   if(rou.timeFrame =='AM'){
                     sha.push(rou)
                   }
                   if(rou.timeFrame =='PM'){
                     xi.push(rou)
                   }
                   if(rou.timeFrame =='TM'){
                     wan.push(rou)
                   }
                 })
                 this.qingjitim[i].sha = sha
                 this.qingjitim[i].xi = xi
                 this.qingjitim[i].wan = wan
               }

             }
             console.log(this.qingjitim)

           }


         }

  }
};
</script>
<style lang="scss">
  .ignw{
    .el-dialog__body{
      padding-top: 10px;
    }
  }
	.el-drawer__body{
		padding: 0 10px;
	}
	.el-card__body, .el-main{
		padding:10px;
		/* margin-bottom:10px; */
	}
	.el-divider--horizontal{
		margin:7px 0;
	}
	.text {
	    font-size: 14px;
	  }

	  .item {
	    /* padding: 10px 0; */
	  }
	  .item p {
		  margin:0;
		  color:#161616;
		  margin-bottom:5px;
	  }
	  .item p span{
		  color:#aaa;
		  /* padding-left:5px; */
		  margin-right:5px;
	  }

	  .box-card {
	    width: 100%;
		margin-bottom:10px;
	  }
	.ngtes .el-table .el-dropdown-link, .el-table .el-dropdown-selfdefine{
		margin-left:0;
	}
	.ngtes .el-button+.el-button, .el-checkbox.is-bordered+.el-checkbox.is-bordered{
		margin-right:5px;
		margin-left:5px;
	}
  .demo-table-expand {
    font-size: 0;
	.ngr{
		color: #161616;
	}
  }
  .demo-table-expand label {
    width: 90px;
	text-align: right;
    color: #666;
  }
  .demo-table-expand .el-form-item {
    margin-right: 0;
    margin-bottom: 0;
    width: 25%;
  }
</style>

<style scoped lang="scss">
  .date {
      height: px2rem(180);
      color: #333;

      .month {
        display: flex;
       font-weight: bold;
       font-size: 14px;
       color: #161616;
        text-align: center;
        margin-top: px2rem(20);
        p{
          margin-left: 10px;
          cursor: pointer;
        }
      }

      .weekdays {
        display: flex;
        list-style-type: none;
        font-size: px2rem(28);
        margin-top: px2rem(20);
        margin-bottom: 5px;

        li {
          flex: 1;
          text-align: center;
          font-weight: bold;
          font-size: 16px;
          color: #161616;
        }
      }

      .days {
        display: flex;
        list-style-type: none;
        margin-top: 0;
        li {
          flex: 1;
         font-weight: 500;
         font-size: 14px;
         color: #898989;
          text-align: center;
          margin-top: px2rem(10);
          line-height:  px2rem(60);

          .active {
            display: inline-block;
            width: px2rem(60);
            height: px2rem(60);
            color: #898989;
            border-radius: 50%;
            // background-color: #fa6854;
          }

          .other-month {
            // color: #e4393c;
          }
        }
      }
    }

	.bgtan{
		border-left: 3px solid #4775EA;
		padding-left: 10px;
	}

	.app-container{
		background-color: #f6f6f6;
		// height: 100vh;
	}
	.bm-view {
	  width: 100%;
	  height: 300px;
	}
	.oiue{
	  height: 300px;
	}
	.pui{
	  height: 100px;
	  position: absolute;
	  top: 40px;
	  left: 0;
	  z-index: 99;
	  // overflow: hidden;
	}
	.anchorTL{
	  width: 100%;
	}
	.app-container{
	  // padding: 0 !important;
	}
	.BMap_mask{
	  // background-color: #fff !important;
	}
	.bm-view {
	  width: 100%;
	  height: 300px;
	}
	// 去除百度地图的图标 根据实际情况看是否要加样式穿透(::v-deep)
	    ::v-deep .anchorBL {
	      display: none !important;
	    }
  .nlsed{
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .kesie{
    font-weight: 500;
    font-size: 14px;
    color: #666666;
    width: 290px;
    height: 38px;
    line-height: 38px;
    background: #E8E8E8;
    border-radius: 4px;
  }
  .iscac{
    background: #DBE5FF;
    border-radius: 4px;
    border: 1px solid #00A9F0;
    font-weight: 500;
    font-size: 14px;
    color: #00A9F0;
  }
</style>
<style scoped lang="scss">

  .ingweflq{
   display: flex;
   align-items: center;
   justify-content: space-between;
   div{
    display: flex;
    align-items: center;
   }
   p{
     font-family: PingFang SC;
     font-weight: 800;
     font-size: 16px;
     color: #161616;
   }
   span{
      width: 8px;
      height: 8px;
      background: #4775EA;
      border-radius: 50%;
      margin-left: 15px;
      margin-right: 10px;
   }
   img{
     width: 70px;
     height: 30px;
   }
  }
  .tiaonge{
    padding: 20px 15px;
    p{
      margin: 0;
      line-height: 29px;
      display: flex;
      span{
        font-weight: bold;
        font-size: 14px;
        color: #161616;
      }
    }
    div{
      margin: 0;
      line-height: 29px;
      display: flex;
      span{
        font-weight: bold;
        font-size: 14px;
        color: #161616;
      }
    }
    .isap{

      color: #606266;
      font-weight: 400;
       white-space: nowrap;      /* 确保文本在一行内显示 */
       overflow: hidden;         /* 隐藏溢出的内容 */
      text-overflow: ellipsis;
    }
    .ingwlka{
      display: flex;
      justify-content: space-between;
      .ogtwo{
        font-weight: bold;
        font-size: 14px;
        color: #161616;
      }
      .ignlq{
        font-weight: bold;
        font-size: 14px;
        color: #161616;
      }
      span{
        font-size: 14px;
        color: #161616;
        color: #606266;
        font-weight: 400;
      }

    }
  }
  .tonwbb{
    p{
      margin: 0;
      cursor: pointer;
    }
    height: 40px;
    line-height: 40px;
    border-top: 1px  solid #DADADA;
    display: flex;
    justify-content: space-around;
  }


	.bgtan{
		border-left: 3px solid #4775EA;
		padding-left: 10px;
	}

	.app-container{
		background-color: #f6f6f6;
		// height: 100vh;
	}
  .nghewshi{
    font-weight: bold;font-size: 12px !important;
    color: #FFFEFF !important;
    background: #93A9D5;border-radius: 9px;padding: 1px 5px;
    margin: 0 10px;
  }
  .sjw{
    background: #F39D77;border-radius: 9px;padding: 1px 5px;
  }
  .nbhslxianke{
    display: flex;
    align-items: center;
    span{
      width: 6px;
      height: 6px;
      background: #4775EA;
      border-radius: 50%;
      margin-right: 10px;
    }
    p{
      font-weight: bold;
      font-size: 16px;
      color: #161616;
      margin-bottom: 10px;
    }
  }
  .xiagsw{
    padding-left: 18px;
    p{
      margin: 0;
      font-weight: 500;
      font-size: 16px;
      color: #4775EA;
      margin-bottom: 10px;
      span{
        color: #161616;
      }
    }
  }
</style>
